<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[StrideTG的博客]]></title><description><![CDATA[恭候各位大佬批评指点]]></description><link>https://blog.youkuaiyun.com/TompsonGo</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; TompsonGo]]></copyright><item><title><![CDATA[删边计数]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79774786</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79774786</guid><author>TompsonGo</author><pubDate>Sun, 01 Apr 2018 00:32:43 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 65536 KB




问题描述


  给你一个由n个点m条边构成的无向图。要你从图中删除m-n条边，使得剩下的图示连通的。 问总共有多少种删边方案？




输入格式


  第一行，两个整数n,m (1≤n≤16,n≤m≤n*(n−1)/2)  
  接下来m行，每行两个整数x和y,表示点x与点y之间有边相连。 
  图中没有自环，也没...]]></description><category></category></item><item><title><![CDATA[【CodePlus 2017 12 月赛】白金元首与独舞]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79688667</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79688667</guid><author>TompsonGo</author><pubDate>Sat, 31 Mar 2018 23:47:26 +0800</pubDate><description><![CDATA[
  时间限制 : 2000 MS   空间限制 : 512 MB




问题描述


  




样例输入

5  
3 9  
LLRRUDUUU  
LLR.UDUUU  
LLRRUDUUU  
4 4  
LLRR  
L.LL  
RR.R  
LLRR  
4 3  
LRD  
LUL  
DLU  
RDL  
1 2  
LR  
2 2  
..  
..



样例输出...]]></description><category></category></item><item><title><![CDATA[【Shoi2016】黑暗前的幻想乡]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79685783</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79685783</guid><author>TompsonGo</author><pubDate>Sun, 25 Mar 2018 14:10:51 +0800</pubDate><description><![CDATA[
  时间限制 : 2000 MS   空间限制 : 256 MB




问题描述


  四年一度的幻想乡大选开始了，最近幻想乡最大的问题是很多来历不明的妖怪涌入了幻想乡，扰乱了幻想乡昔日的秩序。但是幻想乡的建制派妖怪（人类）博丽灵梦和八云紫等人整日高谈所有妖怪平等，幻想乡多元化等等，对于幻想乡目前面临的种种大问题却给不出合理的解决方案。 
  风见幽香是幻想乡里少有的意识到了问题严重性的大妖...]]></description><category></category></item><item><title><![CDATA[【HEOI2015】小Z的房间]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79685482</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79685482</guid><author>TompsonGo</author><pubDate>Sun, 25 Mar 2018 12:27:20 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 265536 KB




问题描述


  你突然有了一个大房子，房子里面有一些房间。事实上，你的房子可以看做是一个包含n*m个格子的格状矩形，每个格子是一个房间或者是一个柱子。在一开始的时候，相邻的格子之间都有墙隔着。 
  你想要打通一些相邻房间的墙，使得所有房间能够互相到达。在此过程中，你不能把房子给打穿，或者打通柱子（以及柱子旁边的墙...]]></description><category></category></item><item><title><![CDATA[【伪语法基础】输入输出练习2]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79630927</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79630927</guid><author>TompsonGo</author><pubDate>Sun, 25 Mar 2018 12:14:41 +0800</pubDate><description><![CDATA[
  时间限制 : 10000 MS   空间限制 : 2200 KB




问题描述


  给你n个整数，里面有很多重复的数。其中只有一个数出现了3k+1次，其他都是3的倍数次。现在要你找出这个数。




输入格式


  第一行一个整数n。  
  第二行n个整数。




输出格式


  一个正整数，出现3k+1次的那个数。




样例输入1

7 
2 7 4 2 7 2 7 
...]]></description><category></category></item><item><title><![CDATA[【ZJOI 2009 Day2】对称的正方形]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79629827</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79629827</guid><author>TompsonGo</author><pubDate>Tue, 20 Mar 2018 19:06:17 +0800</pubDate><description><![CDATA[
  时间限制 : 3000 MS   空间限制 : 565536 KB




问题描述


  Orez很喜欢搜集一些神秘的数据，并经常把它们排成一个矩阵进行研究。最近，Orez又得到了一些数据，并已经把它们排成了一个n行m列的矩阵。通过观察，Orez发现这些数据蕴涵了一个奇特的数，就是矩阵中上下对称且左右对称的正方形子矩阵的个数。 
  Orez自然很想知道这个数是多少，可是矩阵太大，无法去...]]></description><category></category></item><item><title><![CDATA[【JSOI2016】扭动的回文串]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79619330</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79619330</guid><author>TompsonGo</author><pubDate>Mon, 19 Mar 2018 23:12:47 +0800</pubDate><description><![CDATA[
  内存限制：256 MiB 时间限制：1000 ms




题目描述


  JYY 有两个长度均为 N 的字符串 A 和 B。 
  一个「扭动字符串」S(i,j,k)S(i,j,k)S(i,j,k) 由 A 中的第 i 个字符到第 j 个字符组成的子串与 B 中的第 j个字符到第 k 个字符组成的子串拼接而成。 比如，若 A=’XYZ’，B=’UVW’，则扭动字符串S(1,2,3)=S(...]]></description><category></category></item><item><title><![CDATA[【TJOI2015】旅游]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79603089</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79603089</guid><author>TompsonGo</author><pubDate>Mon, 19 Mar 2018 23:01:35 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 256 MB




问题描述


  为了提高智商，ZJY准备去往一个新世界去旅游。这个世界的城市布局像一棵树。每两座城市之间只有一条路径可以互达。每座城市都有一种宝石，有一定的价格。ZJY为了赚取最高利益，她会选择从A城市买入再转手卖到B城市。由于ZJY买宝石时经常卖萌，因而凡是ZJY路过的城市，这座城市的宝石价格会上涨。让我们来算算ZJY...]]></description><category></category></item><item><title><![CDATA[【USACO 2009 JAN GOLD】安全路径]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79566184</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79566184</guid><author>TompsonGo</author><pubDate>Fri, 16 Mar 2018 00:00:38 +0800</pubDate><description><![CDATA[
  时间限制 : 20000 MS   空间限制 : 65536 KB 




问题描述


  Gremlins最近在农场上泛滥，它们经常会阻止牛们从农庄(牛棚_1)走到别的牛棚(牛_i的目的地是牛棚_i)。每一个gremlin只认识牛_i并且知道牛_i一般走到牛棚_i的最短路经。所以它们在牛_i到牛棚_i之前的最后一条牛路上等牛_i，当然，牛不愿意遇到Gremlins，所以准备找一条稍微不...]]></description><category></category></item><item><title><![CDATA[【SDOI2011 第1轮 DAY1】染色]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79562313</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79562313</guid><author>TompsonGo</author><pubDate>Thu, 15 Mar 2018 00:00:59 +0800</pubDate><description><![CDATA[
  时间限制 : 2000 MS   空间限制 : 565536 KB




问题描述


  给定一棵有个节点的无根树和m个操作，操作有2类： 
  1、将节点a到节点b路径上所有点都染成颜色c； 
  2、询问节点a到节点b路径上的颜色段数量（连续相同颜色被认为是同一段），如“112221”由3段组成：“11”、“222”和“1”。 
  请你写一个程序依次完成这m个操作。




输入格...]]></description><category></category></item><item><title><![CDATA[【HAOI2016】地图]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79560755</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79560755</guid><author>TompsonGo</author><pubDate>Wed, 14 Mar 2018 23:22:17 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 265536 KB 




问题描述


  一天rin来到了一个遥远的都市。这个都市有n个建筑，编号从1到n，其中市中心编号为1，这个都市有m条双向通行的街道，每条街道连接着两个建筑，其中某些街道首尾相连连接成了一个环。rin通过长时间的走访，已经清楚了这个都市的两个特点： 
  1. 从市中心出发可以到达所有的建筑物。 
  2. 任意一...]]></description><category></category></item><item><title><![CDATA[【Hnoi2016 day1】网络]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79533744</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79533744</guid><author>TompsonGo</author><pubDate>Mon, 12 Mar 2018 23:23:59 +0800</pubDate><description><![CDATA[
  时间限制 : 2000 MS   空间限制 : 524288 KB




问题描述


  一个简单的网络系统可以被描述成一棵无根树。每个节点为一个服务器。连接服务器与服务器的数据线则看做一条树边。两个服务器进行数据的交互时，数据会经过连接这两个服务器的路径上的所有服务器（包括这两个服务器自身）。由于这条路径是唯一的，当路径上的某个服务器出现故障，无法正常运行时，数据便无法交互。此外，每个...]]></description><category></category></item><item><title><![CDATA[【HEOI2015】最短不公共子串]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79512175</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79512175</guid><author>TompsonGo</author><pubDate>Sat, 10 Mar 2018 22:09:13 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 265536 KB




问题描述


  在虐各种最长公共子串、子序列的题虐的不耐烦了之后，你决定反其道而行之。 
  一个串的“子串”指的是它的连续的一段，例如bcd是abcdef的子串，但bde不是。 
  一个串的“子序列”指的是它的可以不连续的一段，例如bde是abcdef的子串，但bdd不是。 
  下面，给两个小写字母串A，B，...]]></description><category></category></item><item><title><![CDATA[【bzoj2565】最长双回文串]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79507429</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79507429</guid><author>TompsonGo</author><pubDate>Sat, 10 Mar 2018 14:37:57 +0800</pubDate><description><![CDATA[
  Time Limit: 10 Sec  Memory Limit: 128 MB




Description


  顺序和逆序读起来完全一样的串叫做回文串。比如acbca是回文串，而abc不是（abc的顺序为“abc”，逆序为“cba”，不相同）。 
  输入长度为n的串S，求S的最长双回文子串T,即可将T分为两部分X，Y，（|X|,|Y|≥1）且X和Y都是回文串。




Input...]]></description><category></category></item><item><title><![CDATA[【hdu3709】平衡数]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79470445</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79470445</guid><author>TompsonGo</author><pubDate>Wed, 07 Mar 2018 14:16:41 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 65536 KB




问题描述


  平衡数：对于整数n，以数n中的某一位为支点，第i位上的数的力矩=X[i]*(Pos[i]-Point)其中X[i]为数字n第i位上的数字，Pos[i]为第i位数字的位置编号i，Point为支点的位置编号。如果在数n里能找到一个支点使得所有数的力矩之和为0那么它就是平衡数。 
  比如4139，以3为支...]]></description><category></category></item><item><title><![CDATA[2015 HN Training 7.7 C]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79452633</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79452633</guid><author>TompsonGo</author><pubDate>Mon, 05 Mar 2018 23:40:51 +0800</pubDate><description><![CDATA[
  时间限制 : 1000 MS   空间限制 : 64 MB 
  




样例输入

4  
0 0 R  
0 1 B  
1 1 R  
1 0 B



样例输出

2


  




题解

一道很神的线段树题。老实话，考试时一直在想几何方法（过于菜）…… 
先考虑平行线垂直于x轴的情况，先对每个点以横坐标为第一关键字纵坐标为第二关键字从小到大排序，要求的答案即为相邻两蓝点间最长...]]></description><category></category></item><item><title><![CDATA[2015 HN Training 7.7 B]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79452559</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79452559</guid><author>TompsonGo</author><pubDate>Mon, 05 Mar 2018 23:28:33 +0800</pubDate><description><![CDATA[
  时间限制 : 3000 MS   空间限制 : 64 MB 
  




样例输入

3 10  
AT  
TT  
AAAAA  
3 10  
ATT  
TT  
AAAAA



样例输出

No  
Yes


  




题解

这道题的官方数据相当水，有80%的数据的L都小于等于10…… 
AC自动机板题。把AC自动机看成一张有向图，在上面跑深搜，当深度不小于L或出现环时...]]></description><category></category></item><item><title><![CDATA[2015 HN Training 7.7 A]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79452396</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79452396</guid><author>TompsonGo</author><pubDate>Mon, 05 Mar 2018 23:04:15 +0800</pubDate><description><![CDATA[
  时间限制 : 3000 MS   空间限制 :64MB 
  




样例输入

3 2 2  
1 2 3  
0 1



样例输出

1 4 8


  




题解

NTT板题，只需用卷积的套路稍微转化一下…… 
每出现一个元素ccc，便对多项式gc++gc++g_c++即可。对fff进行kkk次变换，即对fff乘上ggg的kkk次方，用快速幂解决即可。需要注意的是，每次多项式...]]></description><category></category></item><item><title><![CDATA[【bzoj4172】弹珠]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79387673</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79387673</guid><author>TompsonGo</author><pubDate>Tue, 27 Feb 2018 23:40:02 +0800</pubDate><description><![CDATA[
  时间限制 : 2000 MS   空间限制 : 262144KB




问题描述


   
  




样例输入

5 10 
Insert 0 10 
Change 0 2 
Insert 0 2 
Change 0 10 
Insert 2 4 
Insert 1 8 
Change 1 2 
Change 0 5 
Insert 1 2 
Change 1 4 
1 5 
2 1...]]></description><category></category></item><item><title><![CDATA[【hdu5716】带可选字符的多字符串匹配]]></title><link>https://blog.youkuaiyun.com/TompsonGo/article/details/79382957</link><guid>https://blog.youkuaiyun.com/TompsonGo/article/details/79382957</guid><author>TompsonGo</author><pubDate>Mon, 26 Feb 2018 23:27:14 +0800</pubDate><description><![CDATA[
  Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others)




Problem Description


  有一个文本串，它的长度为m(1≤m≤2000000)，现在想找出其中所有的符合特定模式的子串位置。 
  符合特定模式是指，该子串的长度为n(1≤n≤500)，并且第i个...]]></description><category></category></item></channel></rss>